Scriptname fm4sMarkerSpellScript extends activemagiceffect  

Actor Property PlayerRef auto
ObjectReference Property fm4sMarker auto
fm4s Property fm4sQuest auto
bool active

Event OnEffectStart(Actor caster, Actor target)
	fm4sMarker.enable()
	active=true
	RegisterForSingleUpdate(0.05)
EndEvent

Event OnEffectFinish(Actor caster, Actor target)
	active=false
	fm4sMarker.disable()
	fm4sQuest.addMarker()
EndEvent

Event OnUpdate()
	float taz = PlayerRef.GetAngleZ()
	fm4sMarker.setAngle(0, 0, taz)
	fm4sMarker.moveTo(PlayerRef, fm4sQuest.markerDistance * Math.Sin(taz), fm4sQuest.markerDistance * Math.Cos(taz), PlayerRef.getHeight() - 128, false)
	if active
		RegisterForSingleUpdate(0.5)
	endIf
EndEvent
